<?php
/*Clase DataAccess que permite realizar la conexión al Servidor y la Base de Datos
Atributos:
   Servidor: Nombre del Servidor.
   UsuarioBD: Usuario de la Base de Datos.
   ClaveBD: Passwor del Usuario de la BD.
   BaseDatos: Nombre de la Base de Datos.
   Link: Conexión de la Base de Datos.
   Dato: Almacena los Datos de la última consulta del Objeto.
Métodos:
   DataAccess: Constructor el cual hace la conexión a la BD.
   MClose: Cierra la Conexión a la BD.
   MSelectRegistro: Asigna un registro de la consulta.
   MVectorRegistro: Asigna el vector que retorno la consulta.
   MEjecutarSQL: Ejecuta el Insert, delete o update.
*/
class DBAccess
{
    public $Servidor;
    public $UsuarioBD;
    public $ClaveBD;
    public $BaseDatos;
    public $Link;
    public $Dato;

   public function Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos)
   {
      $this->Servidor=$Servidor;
      $this->UsuarioBD=$UsuarioBD;
      $this->ClaveBD=$ClaveBD;
      $this->BaseDatos=$BaseDatos;
//echo $this->Servidor." ->".$this->UsuarioBD." ->".$this->ClaveBD." ->".$this->BaseDatos;
      if(!($this->Link=mysqli_connect($this->Servidor,$this->UsuarioBD,$this->ClaveBD, $this->BaseDatos)))
      { echo "Error al conectarse al servidor";
        exit();
      }
      /*if(!mysqli_select_db($this->Link, $this->BaseDatos))
      { echo "Error en la base de datos";
        exit();
      }*/
	   mysqli_query($this->Link,"SET NAMES utf8");
   }

  public function MClose()
   {
      mysqli_close($this->Link);
   }

  public function MSelectRegistro($SQL)
   {
      if (!$Resultado=mysqli_query($this->Link, $SQL))
        echo "Error: ".mysqli_error($this->Link);
      else{

      $this->Dato=mysqli_fetch_array($Resultado);

      return($this->Dato);
      //mysqli_free_result($Resultado);
      }
   }

  public  function MVectorRegistro($SQL)
   {  $this->Dato=mysqli_query($this->Link, $SQL);
      return($this->Dato);
   }

 public  function MEjecutarSQL($SQL)
   {
      mysqli_query($this->Link, $SQL);
   }
}
?>